#!perl

use Test::More tests => 6;
use Data::Dumper;

BEGIN {
  use_ok( 'Lingua::Jspell' );
}

diag( "Testing Lingua::Jspell $Lingua::Jspell::VERSION, Perl $], $^X" );

my $pt_dic = Lingua::Jspell->new("port");
is(ref($pt_dic), "Lingua::Jspell");

my @rads = $pt_dic->rad("gatinho");
is($rads[0],"gato");

my @feas = $pt_dic->fea("gatinho");
is(ref($feas[0]), "HASH");

my @ders = $pt_dic->der("gato");
ok(grep { $_ eq "gata" } @ders);

my @flags = $pt_dic->flags("cantar");
ok(grep { $_ eq "cantar" } @flags);


